Package com.pixelmed.display.event

## Class TaskChangeEvent

- java.lang.Object
- - com.pixelmed.event.Event
  - - com.pixelmed.display.event.TaskChangeEvent

-     public class TaskChangeEvent
      extends Event

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static int` | `NEXT` |
    `protected static int` | `PREVIOUS` |
    `protected int` | `task` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TaskChangeEvent​(EventContext eventContext, int task)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isNext()` |
    `boolean` | `isPrevious()` |
    `static TaskChangeEvent` | `newNextTaskChangeEvent​(EventContext eventContext)` |
    `static TaskChangeEvent` | `newPreviousTaskChangeEvent​(EventContext eventContext)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.pixelmed.event.Event

      `getEventContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NEXT

          protected static int NEXT

    - #### PREVIOUS

          protected static int PREVIOUS

    - #### task

          protected int task

  - ### Constructor Detail

    - #### TaskChangeEvent

          protected TaskChangeEvent​(EventContext eventContext,
                                    int task)

      Parameters:
        `eventContext` -
        `task` -

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### newNextTaskChangeEvent

          public static TaskChangeEvent newNextTaskChangeEvent​(EventContext eventContext)

      Parameters:
        `eventContext` -

    - #### newPreviousTaskChangeEvent

          public static TaskChangeEvent newPreviousTaskChangeEvent​(EventContext eventContext)

      Parameters:
        `eventContext` -

    - #### isNext

          public boolean isNext()

    - #### isPrevious

          public boolean isPrevious()